raspberrypi-sys-mods (20250423+oom1) bookworm; urgency=medium

  * Enable Multi-Gen LRU thrashing prevention

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 23 Apr 2025 14:13:37 +0100

raspberrypi-sys-mods (20250423) bookworm; urgency=medium

  [ Andrew Scheller ]
  * More serial fixes

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 23 Apr 2025 14:09:53 +0100

raspberrypi-sys-mods (20250414) bookworm; urgency=medium

  [ Phil Elwell ]
  * fixup! serial0: Workaround for removal of of_node in 6.12 kernel (#95)
    (#97)

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 14 Apr 2025 12:28:57 +0100

raspberrypi-sys-mods (20250410) bookworm; urgency=medium

  [ Tim Gover ]
  * serial0: Workaround for removal of of_node in 6.12 kernel (#95)

  [ Serge Schneider ]
  * Remove old PolicyKit rule to revert to Udisks2's default policy
  * Add PIO nodes to gpio group

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 10 Apr 2025 10:42:35 +0100

raspberrypi-sys-mods (20241202) bookworm; urgency=medium

  [ Richard Oliver ]
  * Select/configure ondemand cpu governor (#93)

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 02 Dec 2024 10:28:00 +0000

raspberrypi-sys-mods (20241111) bookworm; urgency=medium

  * Add IP.issue

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 11 Nov 2024 13:54:19 +0000

raspberrypi-sys-mods (20241030+1) bookworm; urgency=medium

  * rfkill everything by default

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 30 Oct 2024 14:38:26 +0000

raspberrypi-sys-mods (20241030) bookworm; urgency=medium

  [ Phil Elwell ]
  * Add udev rule for I2C aliases

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 30 Oct 2024 14:25:34 +0000

raspberrypi-sys-mods (20240923) bookworm; urgency=medium

  * udev: Add systemd tags to drm devices
  * Fix firstboot_fstrim permissions

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 23 Sep 2024 15:13:58 +0100

raspberrypi-sys-mods (20240912) bookworm; urgency=medium

  * Run fstrim on first boot

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 12 Sep 2024 15:15:25 +0100

raspberrypi-sys-mods (20240911) bookworm; urgency=medium

  * Add gpiochip4 symlink

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 11 Sep 2024 15:31:08 +0100

raspberrypi-sys-mods (20240902) bookworm; urgency=medium

  * Rework get_fw_loc
  * Skip resize when logical partition 5 is present
  * Fix 60-dma-heap.rules linux,cma symlink

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 02 Sep 2024 12:50:12 +0100

raspberrypi-sys-mods (20240807) bookworm; urgency=medium

  * Add udev rule for Raspberry Pi devices

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 07 Aug 2024 12:47:51 +0100

raspberrypi-sys-mods (20240624) bookworm; urgency=medium

  * Simplify udev backlight rule

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 24 Jun 2024 16:02:58 +0100

raspberrypi-sys-mods (20240619) bookworm; urgency=medium

  * sudoers.d: preserve DPKG_DEB_THREADS_MAX
  * Add gbp.conf

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 19 Jun 2024 13:53:11 +0100

raspberrypi-sys-mods (20240527+1) bookworm; urgency=medium

  * Add temporary udev backlight rule

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 27 May 2024 19:35:35 +0100

raspberrypi-sys-mods (20240527) bookworm; urgency=medium

  * Increase default swap size to 200

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 27 May 2024 13:58:34 +0100

raspberrypi-sys-mods (20240521) bookworm; urgency=medium

  * Use non-symlinked paths in initramfs hook scripts

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 21 May 2024 10:09:36 +0100

raspberrypi-sys-mods (20240129) bookworm; urgency=medium

  * firstboot: call wait_for_udev after parted

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 29 Jan 2024 15:38:53 +0000

raspberrypi-sys-mods (20240123) bookworm; urgency=medium

  * d/postinst: remove rc.local drop-in
    - https://github.com/RPi-Distro/repo/issues/361

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 23 Jan 2024 15:26:11 +0000

raspberrypi-sys-mods (20240117) bookworm; urgency=medium

  * d/postinst: remove /boot symlinks

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 17 Jan 2024 18:27:23 +0000

raspberrypi-sys-mods (20240102) bookworm; urgency=medium

  * Set DPKG_DEB_THREADS_MAX=1 on devices with less than 512MB MemTotal

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 02 Jan 2024 14:12:05 +0000

raspberrypi-sys-mods (20231218) bookworm; urgency=medium

  * get_fw_loc: default to /boot on non-arm platforms

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 18 Dec 2023 10:52:26 +0000

raspberrypi-sys-mods (20231208) bookworm; urgency=medium

  * d/c: Add uuid dependency

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 08 Dec 2023 07:24:19 +0000

raspberrypi-sys-mods (20231127) bookworm; urgency=medium

  * get_fw_loc: add non-fstab findmnt check as a fallback

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 27 Nov 2023 23:30:06 +0000

raspberrypi-sys-mods (20231113) bookworm; urgency=medium

  [ Renjaya Raga Zenta ]
  * Remove fix_wpa call because it was removed (#80)

  [ TM ]
  * Fix mount name

  [ Phil Elwell ]
  * 99-com.rules: Improve serial matching on older Pis

  [ David Turner ]
  * Squash write to nmconnection file

  [ Serge Schneider ]
  * Refactor udev rules

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 13 Nov 2023 14:29:32 +0000

raspberrypi-sys-mods (20231003) bookworm; urgency=medium

  * Add EXTERNALLY-MANAGED divert to update the message

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 03 Oct 2023 23:11:16 +0100

raspberrypi-sys-mods (20230922) bookworm; urgency=medium

  * Fix initial resize on devices greater than 2TB

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 22 Sep 2023 14:11:31 +0100

raspberrypi-sys-mods (20230921) bookworm; urgency=medium

  * firstboot: local_device_setup can't run with set -e

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 21 Sep 2023 12:14:16 +0100

raspberrypi-sys-mods (20230918~rc1) bookworm; urgency=medium

  [ Phil Elwell ]
  * Relax the udev gpiomem name matching

  [ Serge Schneider ]
  * firstboot: Use local_device_setup to wait for and resolve the root device

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 18 Sep 2023 12:21:07 +0100

raspberrypi-sys-mods (20230830) bookworm; urgency=medium

  [ Serge Schneider ]
  * Tidy up
  * Skip PARTUUID fix if running under PINN
  * Remove dhcpcd support

  [ Stefan Wahren ]
  * Don't try to improve Kernel randomness

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 30 Aug 2023 10:47:53 +0100

raspberrypi-sys-mods (20230829) bookworm; urgency=medium

  * Add hook to fix Imager's hard-coded /boot paths in customization script

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 29 Aug 2023 11:06:09 +0100

raspberrypi-sys-mods (20230822) bookworm; urgency=medium

  * Remove blacklist-rtl8xxxu.conf

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 22 Aug 2023 18:19:09 +0100

raspberrypi-sys-mods (20230725) bookworm; urgency=medium

  [ Simon Long ]
  * sudoers: use global timestamps

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 25 Jul 2023 16:10:15 +0100

raspberrypi-sys-mods (20230523) bookworm; urgency=medium

  * Remove unnecessary postinst steps
    - Any upgrade to bookworm should start with an up-to-date bullseye
      install
  * Remove NOOBS config support
    - NOOBS is no longer supported and this feature has not been tested in
      a long time
  * Add support for /boot/firmware as the firmware partition mountpoint
  * Move initial resize to initramfs

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 23 May 2023 17:51:13 +0100

raspberrypi-sys-mods (20230510) bookworm; urgency=medium

  [ MichaIng ]
  * Support all characters in WiFi SSID and key from rpi-imager

  [ Serge Schneider ]
  * Fix issues reported by shellcheck

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 10 May 2023 07:45:16 +0100

raspberrypi-sys-mods (20230509) bookworm; urgency=medium

  * Allow sudo group to access /sys/kernel/debug

 -- Simon Long <simon@raspberrypi.com>  Tue, 09 May 2023 15:00:22 +0100

raspberrypi-sys-mods (20230329) bullseye; urgency=medium

  [ Stephan Wendel ]
  * refactor: refactor generate DISKID

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 29 Mar 2023 07:36:20 +0100

raspberrypi-sys-mods (20221019) bullseye; urgency=medium

  [ hungryhorace ]
  * Add boot.mount as order dependency for sshswitch (#67)

  [ Serge Schneider ]
  * init_config: don't attempt to configure wlan if not set

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 19 Oct 2022 15:56:33 +0100

raspberrypi-sys-mods (20220915) bullseye; urgency=medium

  * Add python3-toml as a recommended package and add a check for it
    - https://github.com/RPi-Distro/raspberrypi-sys-mods/issues/65
  * Remove checks for specific commands
    - Essential packages are expected to always be present
    - The rest have been added as dependencies
  * Skip resize but continue with everything else if partition layout is
    unexpected
    - https://github.com/RPi-Distro/raspberrypi-sys-mods/issues/64
  * If firstrun.sh calls userconf, skip it in init_config
    - If userconf runs twice without using rename-user, autologin behaviour is
      not preserved
  * Tidy up services
    - https://github.com/RPi-Distro/raspberrypi-sys-mods/issues/59
  * postinst - continue if /etc/rpi-issue doesn't exist
  * Fix apply_custom error handling

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 15 Sep 2022 13:46:12 +0100

raspberrypi-sys-mods (20220909) bullseye; urgency=medium

  * Fix add_remove_flush_option behaviour when no boot partition is found
    - https://github.com/RPi-Distro/raspberrypi-sys-mods/issues/63
  * Remove unnecessary test code and resulting file

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 09 Sep 2022 16:55:15 +0100

raspberrypi-sys-mods (20220901) bullseye; urgency=medium

  * Add support for headless configuration via config.toml
  * Modify SSH host key regen service to run a dedicated script
  * Add 'firstboot' init script from raspi-config's init_resize.sh

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 01 Sep 2022 16:20:13 +0100

raspberrypi-sys-mods (20220809) bullseye; urgency=medium

  * Add customisation helper for rpi-imager
  * Improve 'flush' option handling

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 09 Aug 2022 11:27:22 +0100

raspberrypi-sys-mods (20220224) bullseye; urgency=medium

  * Revert load of aes-neon-bs on arm64 in favour of aes-arm64 (default)
  * Add 'flush' option to /boot partition
    - https://github.com/raspberrypi/linux/issues/4844

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 23 Feb 2022 17:53:12 +0000

raspberrypi-sys-mods (20220110+1) bullseye; urgency=medium

  * Add -q flag to wait.conf
    - https://github.com/RPi-Distro/raspi-config/issues/173

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 10 Jan 2022 11:57:14 +0000

raspberrypi-sys-mods (20220110) bullseye; urgency=medium

  * Continue even if removing vscode blocks fails
    - https://github.com/RPi-Distro/raspberrypi-sys-mods/issues/5#issuecomment-1008364698

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 10 Jan 2022 08:15:48 +0000

raspberrypi-sys-mods (20220106) bullseye; urgency=medium

  [ MichaIng ]
  * Remove vscode repo dummy/block

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 06 Jan 2022 09:10:17 +0000

raspberrypi-sys-mods (20211005+bullseye) bullseye; urgency=medium

  [ tc287 ]
  * Simplify GPIO/PWM udev rules
    - https://github.com/RPi-Distro/raspberrypi-sys-mods/pull/58

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 05 Oct 2021 10:51:51 +0100

raspberrypi-sys-mods (20210928) bullseye; urgency=medium

  * Fix raspi-config wait.conf drop-in for dhcpcd
    - Since dhcpcd5 1:8.1.2-1+rpt2, the executable has moved to
      /usr/sbin/dhcpcd.
  * Fix predictable interface names
    - Debian have added an additional .link file to set interface names.
      Postinst will now override it if predictable interface names were
      previously disabled
  * Remove old postinst tweaks

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 28 Sep 2021 12:03:59 +0100

raspberrypi-sys-mods (20210901) buster; urgency=medium

  [ Mikolaj Kucharski ]
  * sshswitch: in case systemctl(1) fails, don't remove any /boot/ssh* files
    - https://github.com/RPi-Distro/raspberrypi-sys-mods/pull/55
  [ MichaIng ]
  * Grant ICMP permission to all users
    - https://github.com/RPi-Distro/raspberrypi-sys-mods/pull/56

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 01 Sep 2021 11:00:47 +0100

raspberrypi-sys-mods (20210706) buster; urgency=medium

  * Allow plugdev group to mount disks

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 06 Jul 2021 14:52:03 +0100

raspberrypi-sys-mods (20210705) buster; urgency=medium

  * Add procps dependency

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 05 Jul 2021 17:57:53 +0100

raspberrypi-sys-mods (20210310) buster; urgency=medium

  * Remove Microsoft repo, since it is no longer required
  * Remove restrictions added in previous update
  * Load aes-neon-bs module to speed up SSL on arm64

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 10 Mar 2021 13:32:28 +0000

raspberrypi-sys-mods (20210208) buster; urgency=medium

  * Stop-gap measure to address one of the main concerns about 3rd party repos
    - Prevent VS Code repo from potentially overriding system packages
    - Only allow installation of known packages (code-*)

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 08 Feb 2021 12:37:18 +0000

raspberrypi-sys-mods (20210125) buster; urgency=medium

  * Add Microsoft's VS Code repo on upgrade

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 25 Jan 2021 16:03:24 +0000

raspberrypi-sys-mods (20201026) buster; urgency=medium

  [ chungf ]
  * Use $$ instead of $ in udev rules
  [ Serge Schneider ]
  * Unbind fbcon from fb0 when it's a Sense HAT

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 26 Oct 2020 16:50:48 +0000

raspberrypi-sys-mods (20200812) buster; urgency=medium

  * Add dma_heap to video group

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 12 Aug 2020 21:58:24 +0100

raspberrypi-sys-mods (20200729) buster; urgency=medium

  [ Phil Elwell ]
  * Prevent the /dev/serial* aliases from getting confused when additional
    UARTs are enabled on Pi 4

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 29 Jul 2020 08:44:40 +0100

raspberrypi-sys-mods (20200514) buster; urgency=medium

  * Update udev rules
    - Remove unused argon rule
    - Add vcsm-cma to video group
    - Add pwm to gpio group
  * i2cprobe: More flexible I2C/SPI alias mapping

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 14 May 2020 06:16:38 +0100

raspberrypi-sys-mods (20191105) buster; urgency=medium

  [ macmpi ]
  * Create blacklist-8192cu.conf
  * Delete blacklist-rtl8192cu.conf

  [ Serge Schneider ]
  * Add rpi-eeprom as a recommended package

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 05 Nov 2019 14:15:52 +0000

raspberrypi-sys-mods (20190730) buster; urgency=medium

  * Add micro:bit udev rule
  * Allow video group access to rpivid-* subsystems

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 30 Jul 2019 14:28:36 +0100

raspberrypi-sys-mods (20190722) buster; urgency=medium

  * Use systemctl to enable/start ssh service
  * Allow video group access to argon-* subsystems
  * i2cprobe: Fix loading of I2C modules without DT aliases

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 22 Jul 2019 10:08:53 +0100

raspberrypi-sys-mods (20190429) buster; urgency=medium

  * Remove WiFi handling
    - Images generated going forward will ship with WiFi disabled by default.
    - Instead of running a script to check whether WiFi should be blocked,
      unblocking is handled by the GUI, raspi-config or the user.
  * Detect if openssh-client is installed before regenerating SSH host keys
  * Add 80-noobs.rules which prevents the NOOBS SETTINGS partition from
    auto-mounting or showing up on the desktop
  * Match arm64 and armhf .install files
  * Replace --no-restart-on-upgrade with --no-stop-on-upgrade

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 29 Apr 2019 10:54:23 +0100

raspberrypi-sys-mods (20181127) stretch; urgency=medium

  * Suppress dpkg error message for a11y script

 -- Simon Long <simon@raspberrypi.org>  Mon, 26 Nov 2018 14:39:38 +0000

raspberrypi-sys-mods (20181126) stretch; urgency=medium

  * Use -q in grep in a11y warning script

 -- Simon Long <simon@raspberrypi.org>  Mon, 26 Nov 2018 11:20:01 +0000

raspberrypi-sys-mods (20181121) stretch; urgency=medium

  * Add /etc/profile.d script to suppress a11y warnings

 -- Simon Long <simon@raspberrypi.org>  Wed, 21 Nov 2018 09:35:19 +0000

raspberrypi-sys-mods (20180328+1) stretch; urgency=medium

  * sources.list: change archive.raspbian.org to raspbian.raspberrypi.org

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 28 Mar 2018 10:44:05 +0100

raspberrypi-sys-mods (20180328) stretch; urgency=medium

  * sources.list: change mirrordirector.raspbian.org to raspbian.raspberrypi.org

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 28 Mar 2018 10:19:36 +0100

raspberrypi-sys-mods (20180323) stretch; urgency=medium

  * Add gettext-base dependency

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 23 Mar 2018 16:30:38 +0000

raspberrypi-sys-mods (20180315) stretch; urgency=medium

  * Run wifi-country.service after raspberrypi-net-mods.service

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 15 Mar 2018 15:02:29 +0000

raspberrypi-sys-mods (20180312) stretch; urgency=medium

  * Add Wi-Fi country check

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 12 Mar 2018 07:44:06 +0000

raspberrypi-sys-mods (20180103) stretch; urgency=medium

  * Remove rfkill persistence (handled by systemd)

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 03 Jan 2018 11:40:58 +0000

raspberrypi-sys-mods (20171127) stretch; urgency=medium

  * Allow the default user to access the new gpio character device
  * Extend of-compatible-based probing to spi

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 27 Nov 2017 13:54:20 +0000

raspberrypi-sys-mods (20170717) stretch; urgency=medium

  * Prevent debhelper from enabling ssh host key regen and NOOBS config scripts
  * Fix NOOBS config service Before parameter
  * Remove 61-partuuid.rules as an alternative is provided by systemd

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 17 Jul 2017 12:00:16 +0100

raspberrypi-sys-mods (20170714) stretch; urgency=medium

  * Add ssh host key regen and NOOBS config services

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 11 Jul 2017 16:18:47 +0100

raspberrypi-sys-mods (20170519) jessie; urgency=medium

  * Remove whois dependency

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 19 May 2017 14:23:47 +0100

raspberrypi-sys-mods (20170502) jessie; urgency=medium

  * Remove wifi blacklists from i386 builds

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 02 May 2017 09:31:02 +0100

raspberrypi-sys-mods (20170313) jessie; urgency=medium

  * Update config.txt documentation URL

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 13 Mar 2017 17:59:58 +0000

raspberrypi-sys-mods (20170306) jessie; urgency=medium

  * Add PARTUUID symlinks for DOS partitions

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 06 Mar 2017 10:05:01 +0000

raspberrypi-sys-mods (20170302) jessie; urgency=medium

  * Blacklist rtl8192cu and rtl8xxxu

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 02 Mar 2017 17:15:36 +0000

raspberrypi-sys-mods (20170127) jessie; urgency=medium

  * check_audio: don't modify config.txt files with filters
  * Remove sshpasswd.sh

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 27 Jan 2017 14:06:29 +0000

raspberrypi-sys-mods (20161220) jessie; urgency=medium

  * Don't restart rpi-display-backlight on upgrade
  * Fix typo in debian/rules

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 20 Dec 2016 15:22:29 +0000

raspberrypi-sys-mods (20161208+1) jessie; urgency=medium

  * Add ssh.txt as valid activation file for ssh

 -- Simon Long <simon@raspberrypi.org>  Thu, 08 Dec 2016 13:32:30 +0000

raspberrypi-sys-mods (20161208) jessie; urgency=medium

  * Explicit check for existence of pi user in ssh password check

 -- Simon Long <simon@raspberrypi.org>  Thu, 08 Dec 2016 10:36:54 +0000

raspberrypi-sys-mods (20161205) jessie; urgency=medium

  * Improve robustness of password checks; do not generate hash unless SSH enabled

 -- Simon Long <simon@raspberrypi.org>  Mon, 05 Dec 2016 13:31:29 +0000

raspberrypi-sys-mods (20161124) jessie; urgency=medium

  * Add a login warning if SSH is enabled and the password is unchanged
  * Enable SSH if /boot/ssh is present

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 24 Nov 2016 14:05:14 +0000

raspberrypi-sys-mods (20161018+3) jessie; urgency=medium

  * See NEWS and https://github.com/RPi-Distro/raspberrypi-sys-mods/issues/6

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 19 Oct 2016 12:05:09 +0100

raspberrypi-sys-mods (20161018+2) jessie; urgency=medium

  * Fix postinst rebasing error

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 18 Oct 2016 19:01:23 +0100

raspberrypi-sys-mods (20161018+1) jessie; urgency=medium

  * Add /etc/sudoers.d/010_pi-nopasswd
  * Change architecture to all

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 18 Oct 2016 16:29:14 +0100

raspberrypi-sys-mods (20161010) jessie; urgency=medium

  * Mods to rfkill to ensure Bluetooth status is retained after reboot

 -- Simon Long <simon@raspberrypi.org>  Mon, 10 Oct 2016 12:04:24 +0100

raspberrypi-sys-mods (20160916) jessie; urgency=medium

  * Fix bug in 98-rpi.conf
  * Remove pre-jessie sysctl tweaks
  * Improve I2C subsystem module loading
    - (https://www.raspberrypi.org/forums/viewtopic.php?p=1037943#p1037943)
  * Change package architecture from any to all

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 16 Sep 2016 23:40:45 +1000

raspberrypi-sys-mods (20160915) jessie; urgency=medium

  * Add /etc/sysctl.d/98-rpi.conf

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 15 Sep 2016 04:42:08 +0000

raspberrypi-sys-mods (20160426) jessie; urgency=medium

  * Add service to turn off official screen backlight

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 26 Apr 2016 12:21:38 +0100

raspberrypi-sys-mods (20160321+1) jessie; urgency=medium

  * Actually fix capabilities instead of just verifying them

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 21 Mar 2016 20:35:16 +0000

raspberrypi-sys-mods (20160321) jessie; urgency=medium

  * Udev rule
    - Use $devpath
    - Add serial0 and serial1 symlinks
  * Replace ttyAMA0 with serial0 and ttyS0 with serial1 in cmdline.txt
  * Add NEWS file explaining above changes

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 21 Mar 2016 13:35:45 +0000

raspberrypi-sys-mods (20160113) jessie; urgency=medium

  * Fix capabilities for all files. Fail gracefully if unable.

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 09 Feb 2016 11:49:44 +0000

raspberrypi-sys-mods (20160112) jessie; urgency=medium

  * Added the custom udev rules
  * Ensure audio is enabled when upgrading from an earlier version
  * Fix ping capabilities (no longer require root access)

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 12 Jan 2016 13:52:34 +0000

raspberrypi-sys-mods (20131021) jessie; urgency=low

  * Initial release

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 21 Oct 2015 13:54:43 +0100
